define susefirewall2::ext_service
(
	$service
) {

	# Validate the inputs
	validate_string( $service )

	# Some way to validate the service name is defined in /etc/sysconfig/SuSEfirewall2.d?

	concat::fragment{ "susefirewall2_ext_service_$name":
		target	=> $susefirewall2::params::configDestPath,
		order	=> 12,
		content	=> "$service\n",
	}
}
