define susefirewall2::ext_port
(
	$type,
	$port
) {

	# Validate the inputs
	validate_re( $type, '^tcp$|^udp$' )
	validate_string( $port )

	# Add a new fragment of the desired type
	if ( $type == 'tcp' ) {
		concat::fragment{ "susefirewall2_ext_port_tcp_$name":
			target	=> $susefirewall2::params::configDestPath,
			order	=> 02,
			content	=> "$port\n",
		}
	}
	elsif ( $type == 'udp' ) {
		concat::fragment{ "susefirewall2_ext_port_udp_$name":
			target	=> $susefirewall2::params::configDestPath,
			order	=> 07,
			content	=> "$port\n",
		}
	}
}
